Unity import GLTF/GLB 1.0 or B3DM support?


(Grenpop) #1

Hello,

Just wondering if there is back support for .glTF / .GDB 1.0 spec files, or .B3DM support in the Unity importer? I have the 1.0.3 plugin, and it tries to import .glTF 1.0 files, but it just makes empty empty directories…

Maybe there is a way to up-convert from 1.0 to 2.0?

I know that it is a strange request. Thanks for any help/advice at all!


#2

Hello,

We only support glTF 2.0. Maybe @waleguene has some advice to convert 1.0 files to 2.0.


(Waleguene) #3

Hm, I don’t have any tool in mind that is doing such conversion, but I guess it should exist somewhere.
It’s maybe possible to do it with a Python script (replacing dicts by arrays for data structure, and the other updates)